gnutls_strerror_name(3)

NAME
gnutls_strerror_name - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_strerror_name(int error);

ARGUMENTS

int error
    is an error returned by a gnutls function.

DESCRIPTION
Return the GnuTLS error code define as a string. For example, gnutls_strerror_name (GNUTLS_E_DH_PRIME_UNACCEPTABLE) will return the string "GNUTLS_E_DH_PRIME_UNACCEPTABLE".

RETURNS
A string corresponding to the symbol name of the error code.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/